Get team configurations
curl --request GET \
--url https://platform.thena.ai/v1/teams/{teamId}/configurations \
--header 'x-api-key: <api-key>'import requests
url = "https://platform.thena.ai/v1/teams/{teamId}/configurations"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://platform.thena.ai/v1/teams/{teamId}/configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"timestamp": "2024-01-01T00:00:00.000Z",
"data": [
{
"timezone": "<string>",
"teamId": "<string>",
"fallbackSubTeam": "<string>",
"holidays": [
"<string>"
],
"routingRespectsTimezone": true,
"routingRespectsUserTimezone": true,
"routingRespectsUserAvailability": true,
"routingRespectsUserBusinessHours": true,
"userRoutingStrategy": "<string>",
"commonDailyConfig": true,
"dailyConfig": {
"monday": {
"isActive": true,
"slots": [
{
"start": "10:00",
"end": "18:00"
}
]
},
"tuesday": {
"isActive": true,
"slots": [
{
"start": "10:00",
"end": "18:00"
}
]
},
"wednesday": {
"isActive": true,
"slots": [
{
"start": "10:00",
"end": "18:00"
}
]
},
"thursday": {
"isActive": true,
"slots": [
{
"start": "10:00",
"end": "18:00"
}
]
},
"friday": {
"isActive": true,
"slots": [
{
"start": "10:00",
"end": "18:00"
}
]
},
"saturday": {
"isActive": true,
"slots": [
{
"start": "10:00",
"end": "18:00"
}
]
},
"sunday": {
"isActive": true,
"slots": [
{
"start": "10:00",
"end": "18:00"
}
]
}
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}Teams
Get team configurations
GET
/
v1
/
teams
/
{teamId}
/
configurations
Get team configurations
Authorizations
Enter your API key
Path Parameters
Response
Operation successful
⌘I